/*
 * xcallsbypid.d - CPU cross calls by PID.
 *                 Writen using DTrace (Solaris 10 3/05).
 *
 * $Id: xcallsbypid.d 3 2007-08-01 10:50:08Z brendan $
 *
 * FIELDS:
 *		PID		process ID
 * 		CMD		process name
 *		XCALLS		number of cross calls
 *
 * COPYRIGHT: Copyright (c) 2005, 2006 Brendan Gregg.
 *
 * CDDL HEADER START
 *
 * The contents of this file are subject to the terms of the
 * Common Development and Distribution License (the "License").
 * You may not use this file except in compliance with the License.
 *
 * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
 * or http://www.opensolaris.org/os/licensing.
 * See the License for the specific language governing permissions
 * and limitations under the License.
 *
 * When distributing Covered Code, include this CDDL HEADER in each
 * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
 * If applicable, add the following below this CDDL HEADER, with the
 * fields enclosed by brackets "[]" replaced with your own identifying
 * information: Portions Copyright [yyyy] [name of copyright owner]
 *
 * CDDL HEADER END
 *
 * 17-Sep-2005	Brendan Gregg	Created this.
 * 20-Apr-2006	   "      "	Last update.
 * 10-Nov-2008	Tom Erickson	(adapted for Chime)
 */

/*
 * Copyright (c) 2008, 2010, Oracle and/or its affiliates. All rights reserved.
 */

sysinfo:::xcalls
{
	@num[pid, execname] = count();
}
